Bug 1301709 - CopyImage on iscsi sometimes fails when cloning a vm from snapshot.
Summary: CopyImage on iscsi sometimes fails when cloning a vm from snapshot.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-3.6.3
: 3.6.0
Assignee: Adam Litke
QA Contact: Aharon Canan
URL:
Whiteboard:
Depends On: 1201268
Blocks: 1296852 1308626
TreeView+ depends on / blocked
 
Reported: 2016-01-25 18:26 UTC by Bimal Chollera
Modified: 2019-10-10 10:59 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1201268
: 1308626 (view as bug list)
Environment:
Last Closed: 2016-03-09 19:47:04 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1201268 high CLOSED CopyImage on iscsi sometimes fails when cloning a vm from snapshot. 2020-10-14 00:28:05 UTC
Red Hat Knowledge Base (Solution) 2149951 None None None 2016-02-05 08:32:01 UTC
Red Hat Product Errata RHBA-2016:0362 normal SHIPPED_LIVE vdsm 3.6.0 bug fix and enhancement update 2016-03-09 23:49:32 UTC
oVirt gerrit 53318 'None' MERGED Live Merge: Skip initial extension when base is raw 2020-07-31 02:45:57 UTC
oVirt gerrit 53883 'None' MERGED Live Merge: Skip initial extension when base is raw 2020-07-31 02:45:57 UTC

Internal Links: 1201268

Comment 3 Allon Mureinik 2016-02-16 15:56:41 UTC
Adam - https://gerrit.ovirt.org/#/c/53318/ is merged to the 3.6 branch. Is there anything else we need here?

Comment 4 Adam Litke 2016-02-18 14:31:32 UTC
https://gerrit.ovirt.org/#/q/topic:live-merge-no-raw-extension shows the patches are merged for 3.5, 3.6, and master.  These patches will prevent the base raw image from growing beyond its capacity.  Unfortunately for people who have experienced this problem a manual intervention will be required to lvreduce the affected base raw volume(s).

Comment 5 Allon Mureinik 2016-02-23 10:38:19 UTC
This patch is included in the 3.6.3 branch, setting target milestone accordingly.

Comment 7 Allon Mureinik 2016-02-23 10:44:19 UTC
(In reply to Allon Mureinik from comment #5)
> This patch is included in the 3.6.3 branch, setting target milestone
> accordingly.
Arg, no, it isn't, but it must be, as this fix was delivered in 3.5.8.

Comment 8 Elad 2016-02-25 09:48:41 UTC
"low level image copy failed.." after executing the following steps:

1. Create VM (preallocated disk over ISCSI SD)
2. Create 2 snapshots
3. Live merge one of the snapshots
4. Clone a VM from the snapshot left

Clone VM operation falied.


5fe78e7a-40d4-45d6-924e-6b5a746603b7::ERROR::2016-02-25 11:44:21,258::task::866::Storage.TaskManager.Task::(_setError) Task=`5fe78e7a-40d4-45d6-924e-6b5a746603b7`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 873, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/storage/task.py", line 332, in run
    return self.cmd(*self.argslist, **self.argsdict)
  File "/usr/share/vdsm/storage/securable.py", line 77, in wrapper
    return method(self, *args, **kwargs)
  File "/usr/share/vdsm/storage/sp.py", line 1570, in copyImage
    postZero, force)
  File "/usr/share/vdsm/storage/image.py", line 866, in copyCollapsed
    raise se.CopyImageError(str(e))
CopyImageError: low level Image copy failed: ("ecode=1, stdout=[], stderr=['qemu-img: /rhev/data-center/mnt/blockSD/8fc9541e-e584-4f9c-a626-f217162eafc5/images/7a4b7fa4-d739-43d6-8908-5b
6558b8d4c0/5ab11d88-04a3-4993-808d-493d6ddcfdcc: error while converting raw: Device is too small'], message=None",)

======================================================================

Used:
vdsm-4.17.21-0.el7ev.noarch
rhevm-3.6.3.2-0.1.el6.noarch

Logs will be attached

Comment 9 Elad 2016-02-25 10:12:17 UTC
Sorry, my mistake, the build I tested with is from Feb 17. Using the latest (Feb 24), the clone operation ended successfully.

Used:
vdsm-4.17.23-0.el7ev.noarch
rhevm-3.6.3.3-0.1.el6.noarch

Comment 11 errata-xmlrpc 2016-03-09 19:47:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0362.html


Note You need to log in before you can comment on or make changes to this bug.